class ComponentFactory.Krypton.Toolkit.PaletteContent
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteContent:

   def public override property IsDefault as logical
      get.

   def public property Draw as ComponentFactory.Krypton.Toolkit.InheritBool
      get.
      set.

   def public property DrawFocus as ComponentFactory.Krypton.Toolkit.InheritBool
      get.
      set.

   def public property Image as ComponentFactory.Krypton.Toolkit.PaletteContentImage
      get.

   def public property ShortText as ComponentFactory.Krypton.Toolkit.PaletteContentText
      get.

   def public property LongText as ComponentFactory.Krypton.Toolkit.PaletteContentText
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   def public property AdjacentGap as integer
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public PaletteContent(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteContent):
   end constructor.

   constructor public PaletteContent(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteContent, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetInherit(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteContent):
   end method.

   method public void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetContentDraw(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetContentDrawFocus(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentImageH(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentImageV(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteImageEffect GetContentImageEffect(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetContentImageColorMap(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetContentImageColorTo(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Font GetContentShortTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Font GetContentShortTextNewFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteTextHint GetContentShortTextHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteTextHotkeyPrefix GetContentShortTextPrefix(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteTextTrim GetContentShortTextTrim(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextH(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextV(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextMultiLineH(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetContentShortTextMultiLine(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetContentShortTextColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetContentShortTextColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetContentShortTextColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentShortTextColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final decimal GetContentShortTextColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Image GetContentShortTextImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetContentShortTextImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentShortTextImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Font GetContentLongTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Font GetContentLongTextNewFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteTextHint GetContentLongTextHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteTextHotkeyPrefix GetContentLongTextPrefix(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteTextTrim GetContentLongTextTrim(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextH(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextV(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextMultiLineH(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetContentLongTextMultiLine(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetContentLongTextColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetContentLongTextColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetContentLongTextColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentLongTextColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final decimal GetContentLongTextColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Image GetContentLongTextImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetContentLongTextImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentLongTextImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetPadding():
   end method.

   method public final System.Windows.Forms.Padding GetContentPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final void ResetAdjacentGap():
   end method.

   method public final integer GetContentAdjacentGap(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteContentStyle GetContentStyle():
   end method.

   method protected void OnPropertyChanged(input property as character):
   end method.

end class.
