class ComponentFactory.Krypton.Toolkit.ViewBase
   inherits ComponentFactory.Krypton.Toolkit.GlobalId
   implements System.IDisposable, System.Collections.Generic.IList, System.Collections.Generic.ICollection, System.Collections.Generic.IEnumerable, System.Collections.IEnumerable
   abstract:

   def public property IsDisposed as logical
      get.

   def public property OwningControl as System.Windows.Forms.Control
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property ClientRectangle as System.Drawing.Rectangle
      get.
      set.

   def public property ClientLocation as System.Drawing.Point
      get.
      set.

   def public property ClientSize as System.Drawing.Size
      get.
      set.

   def public property ClientWidth as integer
      get.
      set.

   def public property ClientHeight as integer
      get.
      set.

   def public property Component as System.ComponentModel.Component
      get.
      set.

   def public property Parent as ComponentFactory.Krypton.Toolkit.ViewBase
      get.
      set.

   def public abstract property Count as integer
      get.

   def public property IsReadOnly as logical
      get.

   def public abstract property Item as ComponentFactory.Krypton.Toolkit.ViewBase
      get.
      set.

   def public property MouseController as ComponentFactory.Krypton.Toolkit.IMouseController
      get.
      set.

   def public property KeyController as ComponentFactory.Krypton.Toolkit.IKeyController
      get.
      set.

   def public property SourceController as ComponentFactory.Krypton.Toolkit.ISourceController
      get.
      set.

   def public property ElementState as ComponentFactory.Krypton.Toolkit.PaletteState
      get.
      set.

   def public property State as ComponentFactory.Krypton.Toolkit.PaletteState
      get.

   def public property FixedState as ComponentFactory.Krypton.Toolkit.PaletteState
      get.
      set.

   def public property IsFixed as logical
      get.

   def public property DependantEnabledState as ComponentFactory.Krypton.Toolkit.ViewBase
      get.
      set.

   def public property IsEnableDependant as logical
      get.

   constructor protected ViewBase():
   end constructor.

   method protected final override void Finalize():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public override character ToString():
   end method.

   method public abstract logical EvalTransparentPaint(input context as ComponentFactory.Krypton.Toolkit.ViewContext).

   method public abstract System.Drawing.Size GetPreferredSize(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext).

   method public abstract void Layout(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext).

   method public abstract void Render(input context as ComponentFactory.Krypton.Toolkit.RenderContext).

   method public void RenderBefore(input context as ComponentFactory.Krypton.Toolkit.RenderContext):
   end method.

   method public void RenderAfter(input context as ComponentFactory.Krypton.Toolkit.RenderContext):
   end method.

   method public abstract void Add(input item as ComponentFactory.Krypton.Toolkit.ViewBase).

   method public abstract void Clear().

   method public abstract logical Contains(input item as ComponentFactory.Krypton.Toolkit.ViewBase).

   method public abstract logical ContainsRecurse(input item as ComponentFactory.Krypton.Toolkit.ViewBase).

   method public abstract void CopyTo(input array as ComponentFactory.Krypton.Toolkit.ViewBase extent, input arrayIndex as integer).

   method public abstract logical Remove(input item as ComponentFactory.Krypton.Toolkit.ViewBase).

   method public abstract integer IndexOf(input item as ComponentFactory.Krypton.Toolkit.ViewBase).

   method public abstract void Insert(input index as integer, input item as ComponentFactory.Krypton.Toolkit.ViewBase).

   method public abstract void RemoveAt(input index as integer).

   method public abstract System.Collections.Generic.IEnumerator GetEnumerator().

   method public abstract System.Collections.Generic.IEnumerable Recurse().

   method public abstract System.Collections.Generic.IEnumerable Reverse().

   method public abstract System.Collections.Generic.IEnumerable ReverseRecurse().

   method public ComponentFactory.Krypton.Toolkit.IMouseController FindMouseController():
   end method.

   method public void MouseEnter():
   end method.

   method public void MouseMove(input pt as System.Drawing.Point):
   end method.

   method public logical MouseDown(input pt as System.Drawing.Point, input button as System.Windows.Forms.MouseButtons):
   end method.

   method public void MouseUp(input pt as System.Drawing.Point, input button as System.Windows.Forms.MouseButtons):
   end method.

   method public void MouseLeave(input next as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public void DoubleClick(input pt as System.Drawing.Point):
   end method.

   method public void KeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public void KeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public logical KeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public void GotFocus(input c as System.Windows.Forms.Control):
   end method.

   method public void LostFocus(input c as System.Windows.Forms.Control):
   end method.

   method public void ClearFixedState():
   end method.

   method public abstract ComponentFactory.Krypton.Toolkit.ViewBase ViewFromPoint(input pt as System.Drawing.Point).

end class.
