interface DataPAServerSecurity.ServerSecurity._ServerSecurity:

   def public property AdditionalHeaderText as character
      get.
      set.

   def public property ServerUserName as character
      get.
      set.

   def public property ServerPassword as character
      get.
      set.

   def public property AutoRefreshInWeb as logical
      get.
      set.

   def public property AutoRefreshRetry as System.TimeSpan
      get.
      set.

   def public property PageTitle as character
      get.
      set.

   def public property SettingsBarTitle as character
      get.
      set.

   def public property ContentBarTitle as character
      get.
      set.

   def public property ShowSignInWhenGuest as logical
      get.
      set.

   def public property AllowPersonalHomePage as logical
      get.
      set.

   def public property DefaultHomePage as character
      get.
      set.

   def public property BackupOnSave as logical
      get.
      set.

   def public property SMTPAuthenticate as logical
      get.
      set.

   def public property SMTPUserName as character
      get.
      set.

   def public property SMTPPassword as character
      get.
      set.

   def public property EmailErrors as logical
      get.
      set.

   def public property ApplyUserSecurity as logical
      get.
      set.

   def public property UseSecurityAppServer as logical
      get.
      set.

   def public property StateFreeSecurityAppServer as logical
      get.
      set.

   def public property SecurityAppServer as character
      get.
      set.

   def public property BLToAssignUserGroups as logical
      get.
      set.

   def public property BLToAssignGroupPrivileges as logical
      get.
      set.

   def public property BLToDefineGroups as logical
      get.
      set.

   def public property BLToFilterConnections as logical
      get.
      set.

   def public property BLToFilterSubjects as logical
      get.
      set.

   def public property Groups as DataPAServerSecurity.GroupsCollection
      get.
      set.

   def public property Users as DataPAServerSecurity.UsersCollection
      get.
      set.

   def public property Categories as DataPAServerSecurity.CategoriesCollection
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.
      set.

   def public property ServerLockCode as character
      get.
      set.

   def public property InfoFileStorePath as character
      get.
      set.

   def public property SecurityFileStorePath as character
      get.
      set.

   def public property DocumentFileStorePath as character
      get.
      set.

   def public property SetupFileStorePath as character
      get.
      set.

   def public property MaxInfoFileSize as int64
      get.
      set.

   def public property MaxDashboardsinMMF as int64
      get.
      set.

   def public property MaxDashboardsinMemory as int64
      get.
      set.

   def public property MMFInactiveTimeout as int64
      get.
      set.

   def public property SMTPServer as character
      get.
      set.

   def public property SMTPServerPort as int64
      get.
      set.

   def public property ErrorToEmail as character
      get.
      set.

   def public property ErrorFromEmail as character
      get.
      set.

   def public property ErrorFromDisplayName as character
      get.
      set.

   def public property LoggingCategories as character
      get.
      set.

   def public property LoggingTypes as character
      get.
      set.

   def public property LoggingMethods as character
      get.
      set.

   def public property EnterpriseSerialNum as character
      get.

   def public property EnterpriseExpiryDate as datetime
      get.

   def public property EnterpriseNumAgents as int64
      get.

   def public property EnterpriseLicenseValid as logical
      get.

   def public property EnterpriseLicenseType as character
      get.

   def public property SetupGUID as character
      get.

   def public property SetupCRC as character
      get.
      set.

   def public property AgentRetryInterval as int64
      get.
      set.

   def public property StartAutoRefreshDelay as int64
      get.
      set.

   def public property AgentLogging as logical
      get.
      set.

   def public property Clone as DataPAServerSecurity.ServerSecurity
      get.

   def public property AllowAnonymousWebAccess as logical
      get.
      set.

   def public property UseSSL as logical
      get.
      set.

   def public property AppendToLogFile as logical
      get.
      set.

   def public property MaxUserDirSize as int64
      get.
      set.

   def public property LogFileThresholdSize as int64
      get.
      set.

   def public property MaxNumLogFiles as int64
      get.
      set.

   def public property UserAgentRetryInterval as int64
      get.
      set.

   def public property UserAgentRetry as int64
      get.
      set.

   def public property SuspendAutoRefresh as logical
      get.
      set.

   def public property SessionFreeEnterpriseDataLocationAppServer as logical
      get.
      set.

   def public property EnterpriseDataLocationType as DataPAServerSecurity.ServerSecurity.EnterpriseDataLocationTypeEnum
      get.
      set.

   def public property EnterpriseDataFileFormat as DataPAServerSecurity.ServerSecurity.EnterpriseDataFileFormatEnum
      get.
      set.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo).

   method public character ApplyEnterpriseLicense(input EnterpriseSerialNum as character, input EnterpriseRegCode as character, input EnterpriseRegUser as character, input EnterpriseRegOrganisation as character).

   method public logical GetAgent(input Source as character, input DPALogging as DataPALogging.DPALogging).

   method public void ReleaseAgent(input Source as character, input DPALogging as DataPALogging.DPALogging).

   method public void GenerateSetupGUID().

end interface.
