class OpenEdge.Net.ServerConnection.ClientSocket
implements OpenEdge.Core.ServerConnection.IServerConnection, 
           OpenEdge.Logging.ISupportLogging:
           
  define public property Connected as logical get. set. 
  define public property ConnectionParameters as OpenEdge.Core.ServerConnection.IConnectionParameters get. set. 	
  define public property DefaultReadTimeout as integer get. set.
  define public property KeepAlive as logical get. set.
  define public property LingerTime as integer get. set.
  define public property Logger as OpenEdge.Logging.ILogWriter get. set. 	
  define public property NoDelay as logical get. set.
  define public property ReadBufferSize as integer get. set.
  define public property ReceiveBufferSize as integer get. set.
  define public property ReceiveTimeout as integer get. set.
  define public property ReuseAddress as logical get. set.
  define public property SendBufferSize as integer get. set.
  define public property server as Progress.Lang.Object get. set.

  constructor public ClientSocket():
  end.

  constructor public ClientSocket(p1 as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters):
  end.
  
  method public void Connect ():
  end.
  
  method public void Connect (input p1 as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters):
  end.
  
  method public void Connect (input p1 as OpenEdge.Net.URI):
  end.
  
  method public void CreateServer ():
  end.
  
  method public void DestroyServer ():
  end.
  
  method public void Disconnect ():
  end.
  
  method public logical IsConnected ():
  end.
  
  method public void OnDataReceived (input p1 as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
  end.
  
  method public void OnReadTerminated (input p1 as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
  end.
  
  method public void OnReadTimeout (input p1 as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
  end.
  
  method public void ReadResponseHandler ():
  end.
  
  method public void SetSocketOptions (input p1 as handle):
  end.
  
  method public void WaitForResponse ():
  end.
  
  method public void WaitForResponse (input p1 as decimal):
  end.
  
  method public void WaitForResponseAsync (input p1 as decimal):
  end.
  
  method public void WriteData (input p1 as Memptr):
  end.
 
  define public event DataReceived signature void (input p1 as OpenEdge.Net.ServerConnection.ClientSocket, 	
                                                   input p2 as OpenEdge.Net.ServerConnection.SocketReadEventArgs).
    
  define public event ReadTerminated signature void (input p1 as OpenEdge.Net.ServerConnection.ClientSocket, 	
                                                     input p2 as OpenEdge.Net.ServerConnection.SocketReadEventArgs). 	

  define public event ReadTimeout signature void (input p1 as OpenEdge.Net.ServerConnection.ClientSocket, 	
                                                  input p2 as OpenEdge.Net.ServerConnection.SocketReadEventArgs).  
  
end.
